Gemini 3.0 Flash
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
Gemini 3 Flash is Google's balanced 3-series model built for speed and scale, offering Pro-level intelligence at Flash speed and pricing. It was released on December 17, 2025. It supports multimodal inputs and a 1,048,576-token input window with up to 65,536 output tokens, and the Gemini 3 series is currently in preview.
Capabilities
| Model | Release Date | Input | Output | Context Length | Cost (per 1 million tokens) |
|---|---|---|---|---|---|
| gemini-3-flash-preview | Dec 17 2025 | Text, Image, Video, Audio, PDF | Text | 1,048,576 | $0.50/1M input (text/image/video) $1.00/1M input (audio) $3.00/1M output |
info
1Mrepresents 1 Million Tokens- All prices listed are based on 1 Million Tokens
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gemini-3-flash-preview",
"messages": [
{
"role": "system",
"content": "You are a helpful assistant."
},
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
}'
from openai import OpenAI
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
response = client.chat.completions.create(
model="gemini-3-flash-preview", # model to send to the proxy
messages = [
{ "role": "system", "content": "You are a helpful assistant." },
{
"role": "user",
"content": "Write a haiku about an Alligator."
}
]
)
print(response.choices[0].message)
import OpenAI from 'openai';
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const completion = await openai.chat.completions.create({
model: "gemini-3-flash-preview",
messages: [
{ role: "system", content: "You are a helpful assistant." },
{
role: "user",
content: "Write a haiku about an Alligator.",
},
],
});
console.log(completion.choices[0].message)
When to Use
- Low-latency, high-throughput tasks
- Cost-efficient multimodal analysis
- Agentic workflows at scale
- Large-context summarization and extraction
- Real-time chat and support experiences
References
- Gemini 3 Developer Guide
https://ai.google.dev/gemini-api/docs/gemini-3- Gemini Models (Gemini API)
https://ai.google.dev/gemini-api/docs/models- Gemini API Pricing
https://ai.google.dev/gemini-api/docs/pricing